Bug 809264 - Install virt-manager on KDE, fails to start because gconf needs dbus
Install virt-manager on KDE, fails to start because gconf needs dbus
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
17
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 18:21 EDT by David Le Sage
Modified: 2013-07-27 18:11 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 18:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2012-04-02 18:21:35 EDT
Description of problem:
I followed the installation instructions for KVM found in here:  http://docs.fedoraproject.org/en-US/Fedora/13/html/Virtualization_Guide/sect-Virtualization-Installing_the_virtualization_packages-Installing_KVM_packages_on_an_existing_Red_Hat_Enterprise_Linux_system.html

(I realise this is the F13 Virtualisation Guide and that Chris has left. Are there more up-to-date instructions for F16 somewhere? I could not find them.)

Version-Release number of selected component (if applicable):
Fedora 16 64 bit

How reproducible:
Every time

Steps to Reproduce:

As Root: 
1. yum install kvm
2. yum install virt-manager libvirt libvirt-python python-virtinst
3. As per:  http://docs.fedoraproject.org/en-US/Fedora/13/html/Virtualization_Guide/sect-Virtualization-Virtualized_guest_installation_overview-Creating_guests_with_virt_manager.html

"Alternatively, run the virt-manager command as root."
  
Actual results:
Error starting Virtual Machine Manager: No D-BUS daemon running


Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 383, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 315, in main
    config = virtManager.config.vmmConfig(appname, appversion, glade_dir)
  File "/usr/share/virt-manager/virtManager/config.py", line 98, in __init__
    self.conf.add_dir(self.conf_dir, gconf.CLIENT_PRELOAD_NONE)
GError: No D-BUS daemon running





Expected results:
Virtual machine manager should launch.

Additional info:
I am running KDE. I am not sure if this automatically starts the D-BUS daemon.
Comment 1 David Le Sage 2012-04-02 19:05:11 EDT
Trying the alternative instructions here:  

http://fedoraproject.org/wiki/Getting_started_with_virtualization

resulted in the same issue.
Comment 2 Dan Mashal 2012-04-15 17:06:40 EDT
Reproduced.
Comment 3 Dan Mashal 2012-04-15 17:09:16 EDT
Workaround is the following:

[dan@Fedora17 ~]$ export DBUS_SESSION_BUS_ADDRESS=""
[dan@Fedora17 ~]$ virt-manager

** (virt-manager:5526): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (virt-manager:5526): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (virt-manager:5526): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Gtk-Message: Failed to load module "pk-gtk-module"
[dan@Fedora17 ~]$ 

Can be added to .bashrc

Found fix at:
http://www.gnome15.org/index.php?option=com_kunena&func=view&catid=4&id=378&Itemid=7
Comment 4 Cole Robinson 2012-04-25 08:42:05 EDT
Does restarting the machine make any difference?

If gconf needs dbus running, it should handle that dep itself. Reassigning.
Comment 5 Amit Saha 2012-09-28 19:06:16 EDT
Confirmed the bug and the suggested "fix" on Fedora 17.
Comment 6 Fedora End Of Life 2013-07-04 02:39:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Dan Mashal 2013-07-27 18:11:05 EDT
F17 is EOL

Note You need to log in before you can comment on or make changes to this bug.